# r/place 2023
_Written on 22nd June 2023_

> **Warning**
> 
> r/place 2023 did not happen _on 1st April or 23rd June_.

You know the drill: r/place 2023 is coming. So we prepared a list of FAQs, for you as a brony/pegasister to bootstrap your knowledge!

## What is r/place?
r/place is a social experiment run by Reddit, where every participant gets to place coloured pixels with a defined cooldown. With itself categorized as a form of "pixel battle", it is by far the largest pixel battle held across the globe.

With only the power of a single person, not much could be created. However, with the power of factions, there's no such thing as "impossible"!

## Why should I participate?
Although r/place isn't an annual event, Reddit held r/place last year (2022) also. And last year, we suffered dozens of raids, most of them lost due to a lack of firepower, and were able to recover solely because attackers went inactive eventually, either due to sleeping or due to recess between raids. We hope we could stop the same from happening again.

We prepared for r/place in advance this year, but with multi-account and automated pixel placement banned in the main faction, all while protests regarding Reddit APIs going in full swing, the expected firepower looks even dimmer. Despite the ongoing Reddit API fiasco, we desperately need everyone we can hopefully get, to extend our firepower as much as possible for all possible defense. **Please consider participating the event!**

## When is it expected to happen?
On 23rd June 2023, Reddit's anniversary before its IPO. The exact time may vary, but it is rumored to happen at around 13:00 UTC.

## How do I participate as a My Little Pony fan?
Lucky for us, a group of enthusiastic bronies established a faction before r/place even began, which became the main MLP faction of r/place 2023. But unlucky for us, said faction recently got splintered.

## Why the splinter?
The initial trigger was [an announcement on 18th June](https://discord.com/channels/1086048263620276254/1086405457104601218/1120028312488648724), regarding ban on all forms of automatic pixel placement, alongwith joining an unknown alliance called "P3ACE".

The ban alone did directly result in the creation of a faction, but it was a series of indications and later dealings sending the splinter onto a seemingly irreversible course: lack of transparency regarding joining the alliance, single parties meddling and forced the join, reluctance of communication regarding multi-account and automated pixel placement, with certain mods outright shunning and diverting arguments, all while removing downvotes on that specific announcement. All these enraged some parties, setting the splinter in stone.

The current splinter does not dwindle the firepower MLP as a whole possesses, as both use the very same template.

## What about the pros and cons of automated pixel placements?
### Pros
* Relatively low resource consumption, good for low-end devices
* Does not require you to stare at a screen and clicking your mouse for hours end
  * Does not hinder you from your work
  * Allows you to sleep as usual

### Cons
* If only with automated placements, one cannot experience the event to its fullest
* Shamed by some people
* "Does not believe in friendship"

## How do existing implementations of automation fit?
* **Browser overlay**: Auto-clicker is removed, and tab freeze circumvention became borked. Auto-focus and automatic colour picking still exist, but every pixel placement now requires user interactions.
* **PonyPixel** (Python headless): Retired.
* **Painted Palette** (JavaScript headless): A seperate manual-only mode is planned, but is largely unhindered.

## How should I join the factions?
With the main faction prohibited discussions regarding several topics, the splintered-off faction offers a supplemental and more libre place where said topics are likely not forbidden. If you are fine with all the bureaucracy issues in the main faction, and agrees to stare at a screen for hours to place every single pixel manually, you can join the main faction. Otherwise, joining the splintered-off faction is much recommended.

## Invite links
Since Painted Palette by itself is a somewhat independent project, it has an additional place for dev talks unrelated to the splinter.

* Secret r/place Brownies (the splintered-off faction): [https://discord.gg/Nhf8HrWAku](https://discord.gg/Nhf8HrWAku)
* Sky Splash's Island: [https://discord.gg/ZnU6sgDT](https://discord.gg/ZnU6sgDT)
* Independent Painted Palette dev talks: [Discord topic](https://discord.com/channels/610559048387133515/1118853359668035605)
* Main faction: `https://discord.gg/BronyPlace`